{% extends "flask_user_layout.html" %}
{% block content %}
<div class="container">
    <h2>Movies</h2>

    {% for m in movies %}
        <div class="panel panel-default">
            <div class="panel-heading"><b>{{ m.title }}</b></div>
            <div class="panel-body">
                <p>
                    Genre(s):
                    {% for genres in m.genres %}
                        <span class="label label-default">{{ genres.genre }}</span>
                    {% endfor %}
                </p>
                <p>
                    Links: 
                    <!-- TODO doesn't need iterations -->
                    {% for links in m.links %}
                    <span class="label label-default" style="margin-right: 3px;">
                        <a href="https://www.themoviedb.org/movie/{{ g.imdb_id }}" style="color: lightskyblue;"> 
                            IMDd Page
                        </a>
                    </span>
                    <span class="label label-default">
                        <a href="https://www.themoviedb.org/movie/{{ g.tmdb_id }}" style="color: lightskyblue;"> 
                            TMDb Page
                        </a>
                    </span>
                    {% endfor %}
                </p>

                <p>
                    User Tags: 
                    {% for tags in m.tags %}
                        <span class="label label-default">{{ tags.tag }}</span>
                    {% endfor %}
                </p>
            </div>
              <div class="panel-footer movie-rating">Rate:
                  <a href="#" class="card-link" data-movieid="{{ m.id }}">1</a>
                  <a href="#" class="card-link" data-movieid="{{ m.id }}">2</a>
                  <a href="#" class="card-link" data-movieid="{{ m.id }}">3</a>
                  <a href="#" class="card-link" data-movieid="{{ m.id }}">4</a>
                  <a href="#" class="card-link" data-movieid="{{ m.id }}">5</a> Stars
              </div>
        </div>
    {% endfor %}

    <div>
        <form action="recommend" method = "POST">
            <input type="submit" value="Get Recommendations">
        </form> 
    </div>


</div>

<script>
    // Function to handle the click event on any rating link
    function rateMovie(event) {
        event.preventDefault(); // Prevent the default anchor action

        var movieid = this.getAttribute('data-movieid');
        var rating = this.textContent;
        var elem = this;

        // Create an AJAX request
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '/rate', true);
        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');

        // Handle the response
        xhr.onload = function() {
            if (xhr.status === 200) {
                // Replace the entire div with the response
                elem.parentElement.innerHTML = xhr.responseText;
            } else {
                alert('Request failed. Returned status of ' + xhr.status);
            }
        };

        // Send the request with the movie ID and the rating
        xhr.send('movieid=' + movieid + '&rating=' + rating);
    }

    // Attach the event listener to each rating link
    var links = document.querySelectorAll('.movie-rating .card-link');
    for (var i = 0; i < links.length; i++) {
        links[i].addEventListener('click', rateMovie);
    }
</script>

{% endblock %}
